Subject: Re: bug#22594: 25.1.50; mail-extract-address-components doesn't work on single-named people

From: Rasmus <[email-masked]>
Date: Mon, 08 Feb 2016 21:54:30 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> (mail-extract-address-components "Rasmus <[email-masked]>")
>> => (nil "[email-masked]")
>>
>> There's the weird
>>
>> (setq mail-extr-ignore-single-names t)
>>
>> variable, but there is no difference in the result.
>
> It was because the user name and the full name were the same.  I've now
> changed it to return the name, anyway (if mail-extr-ignore-single-names
> isn't set).
>
> That's one weird and huge function with a *lot* of functionality...

I haven't check your patch, but I noticed the following funny behavior as
well:

(mail-extract-address-components "Rasmu s  <[email-masked]>")
=> ("Rasmu s." "[email-masked]")

Why is the period added?  That seems uncalled for...

Rasmus

-- 
Summon the Mothership!